### 3.32 `wctrans`—get wide-character translation type

Synopsis

         #include <wctype.h>
         wctrans_t wctrans(const char *c);

Description
`wctrans` is a function which takes a string c and gives back the appropriate wctrans_t type value associated with the string, if one exists. The following values are guaranteed to be recognized: "tolower" and "toupper".

Returns
`wctrans` returns 0 and sets `errno` to `EINVAL` if the given name is invalid. Otherwise, it returns a valid non-zero wctrans_t value.

Portability
`wctrans` is C99.

No supporting OS subroutines are required.